ラスクのギガーンはワードプレス非推奨

レンタルサーバーのラスク「ギガーン」はワードプレスの最新版をインストールすることが出来ません。

サーバーで用意しているPHPのバージョンが5.1.6です。
これに対して、ワードプレスの最新版が要求するPHPのバージョンは5.2.4
ですから、下記のような屈辱的なメッセージが表示されます。

個人的には、最新版をインストールすることが出来ないので、サーバーのトップページからワードプレスのアイコンを削除して欲しいと思います。
一応、メールでは削除しろと伝えているのですが。。。。

安定稼働を最優先に仕事をしてくれるのは良いのですが、高い金(月額2500円)を出しているわけですから対応して欲しいところ。
なお、さくらインターネットとコアサーバーでは最新版をインストールすることが可能です。
月額500円のサービスを提供しているところが最新版を利用できる。。。
何だかなぁと思います。